<div class="row clearfix" [@routerTransition]>
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <div class="card main-content">
                <div class="header">
                    <h2>{{ "Departments" | localize }}</h2>
                    <ul class="header-dropdown m-r--5">
                        <li>
                            <button mat-icon-button [matMenuTriggerFor]="headerMenu"
                                class="header-dropdown-mat-icon-button">
                                <mat-icon>more_vert</mat-icon>
                            </button>
                            <mat-menu #headerMenu="matMenu">
                                <button mat-menu-item (click)="refresh()">
                                    <mat-icon>refresh</mat-icon>
                                    <span>{{ "Refresh" | localize }}</span>
                                </button>
                            </mat-menu>
                        </li>
                    </ul>
                </div>
                <div class="body table-responsive">
                    <table class="table table-hover table-striped" [busy]="isLoading">
                        <thead>
                            <tr>
                                <th>{{ "Name" | localize }}</th>
                                <th>{{ "Budget" | localize }}</th>
                                <th>{{ "StartDate" | localize }} </th>
                                <th>{{ "Administrator" | localize }} </th>
                                <th>{{ "Actions" | localize }}</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let department of departments">
                                <td class="col-lg-3 col-md-3">{{ department.name }}</td>
                                <td class="col-lg-3 col-md-2">{{ department.budget }}</td>
                                <td class="col-lg-3 col-md-3">{{ department.startDate | date : 'mediumDate'}}</td>
                                <td class="col-lg-3 col-md-3">{{ department.administratorName }}</td>
                                <td class="col-lg-1 col-md-1">
                                    <button class="action-button" mat-icon-button [matMenuTriggerFor]="actionsMenu">
                                        <mat-icon>menu</mat-icon>
                                    </button>
                                    <mat-menu #actionsMenu="matMenu">
                                        <button mat-menu-item (click)="editDepartment(department)">
                                            <mat-icon>edit</mat-icon>
                                            <span>{{ "Edit" | localize }}</span>
                                        </button>
                                        <button mat-menu-item (click)="delete(department)">
                                            <mat-icon>delete</mat-icon>
                                            <span>{{ "Delete" | localize }}</span>
                                        </button>
                                    </mat-menu>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <button mat-mini-fab color="primary" class="pull-right" (click)="createDepartment()">
                        <mat-icon>add</mat-icon>
                    </button>
                </div>
            </div>
        </div>
    </div>